
package net.mcreator.colorwarsmod.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.UseAction;
import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.Food;

import net.mcreator.colorwarsmod.itemgroup.RedVBlueItemGroup;
import net.mcreator.colorwarsmod.ColorWarsModModElements;

@ColorWarsModModElements.ModElement.Tag
public class BlueAppleItem extends ColorWarsModModElements.ModElement {
	@ObjectHolder("color_wars_mod:blue_apple")
	public static final Item block = null;

	public BlueAppleItem(ColorWarsModModElements instance) {
		super(instance, 53);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}

	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(RedVBlueItemGroup.tab).maxStackSize(64).rarity(Rarity.UNCOMMON)
					.food((new Food.Builder()).hunger(5).saturation(2.2f)

							.build()));
			setRegistryName("blue_apple");
		}

		@Override
		public int getUseDuration(ItemStack stack) {
			return 31;
		}

		@Override
		public UseAction getUseAction(ItemStack itemstack) {
			return UseAction.EAT;
		}
	}
}
