
package net.mcreator.colorwarsmod.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.UseAction;
import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.Food;

import net.mcreator.colorwarsmod.itemgroup.RedVBlueItemGroup;
import net.mcreator.colorwarsmod.ColorWarsModModElements;

@ColorWarsModModElements.ModElement.Tag
public class RedberryItem extends ColorWarsModModElements.ModElement {
	@ObjectHolder("color_wars_mod:redberry")
	public static final Item block = null;

	public RedberryItem(ColorWarsModModElements instance) {
		super(instance, 54);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}

	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(RedVBlueItemGroup.tab).maxStackSize(64).rarity(Rarity.RARE)
					.food((new Food.Builder()).hunger(5).saturation(0.3f)

							.build()));
			setRegistryName("redberry");
		}

		@Override
		public UseAction getUseAction(ItemStack itemstack) {
			return UseAction.EAT;
		}
	}
}
